aboutsummaryrefslogtreecommitdiffstats
path: root/IRC/install
diff options
context:
space:
mode:
authortv <tv@xso>2011-09-06 13:38:20 +0200
committertv <tv@xso>2011-09-06 13:38:20 +0200
commit1a43c8c04073f3d945f1b0b35b67beeeac75df5d (patch)
tree5686ca6876061d4d48b626d74962b805896009c6 /IRC/install
//Synapse -> //Reaktor/IRC
Diffstat (limited to 'IRC/install')
-rwxr-xr-xIRC/install27
1 files changed, 27 insertions, 0 deletions
diff --git a/IRC/install b/IRC/install
new file mode 100755
index 0000000..95e0519
--- /dev/null
+++ b/IRC/install
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -xeuf
+
+cd $(dirname $(readlink -f $0))
+
+# install irclib.py
+{
+ PV=0.4.6
+ PN=python-irclib
+ P=$PN-$PV
+ tarball=$P.tar.gz
+ URL=http://downloads.sourceforge.net/$PN/$tarball
+ SHA1SUM=c6271e44293ed51c21af0f44ce106667d3006e6f
+
+ file=irclib.py
+
+ if ! echo "$SHA1SUM $file" | sha1sum -c; then
+ temp=`mktemp`
+ trap "rm -f $temp" EXIT INT
+
+ echo $P/$file > $temp
+ curl -LfsS $URL | tar --strip-components=1 -zxT $temp
+ fi
+ echo "$SHA1SUM $file" | sha1sum -c
+}
+
+